Skip to content
Proud to collaborate with Microsoft for Startups

argocd.application.update-spec ​

UpdateSpec updates an application spec

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
namestringYes——
destinationjsonNo——
ignoredifferenceslistNo——
infolistNo——
projectstringNo—Project is a reference to the project this application belongs to. The empty string means that application belongs to the 'default' project.
revisionhistorylimitintegerNo—RevisionHistoryLimit limits the number of items kept in the application's revision history, which is used for informational purposes as well as for rollbacks to previous versions. This should only be changed in exceptional circumstances. Setting to zero will store no history. This will reduce storage used. Increasing will increase the space used to store the history, so we do not recommend increasing it. Default is 10.
sourcejsonNo——
sourcehydratorjsonNo—SourceHydrator specifies a dry "don't repeat yourself" source for manifests, a sync source from which to sync hydrated manifests, and an optional hydrateTo location to act as a "staging" aread for hydrated manifests.
sourceslistNo——
syncpolicyjsonNo——
validatebooleanNo——
appnamespacestringNo——
project_2stringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
namestringYes——
destinationjsonNo——
ignoredifferenceslistNo——
infolistNo——
projectstringNo—Project is a reference to the project this application belongs to. The empty string means that application belongs to the 'default' project.
revisionhistorylimitintegerNo—RevisionHistoryLimit limits the number of items kept in the application's revision history, which is used for informational purposes as well as for rollbacks to previous versions. This should only be changed in exceptional circumstances. Setting to zero will store no history. This will reduce storage used. Increasing will increase the space used to store the history, so we do not recommend increasing it. Default is 10.
sourcejsonNo——
sourcehydratorjsonNo—SourceHydrator specifies a dry "don't repeat yourself" source for manifests, a sync source from which to sync hydrated manifests, and an optional hydrateTo location to act as a "staging" aread for hydrated manifests.
sourceslistNo——
syncpolicyjsonNo——
validatebooleanNo——
appnamespacestringNo——
project_2stringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /api/v1/applications/{name}/spec
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /api/v1/applications/{name}/spec
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.application.update-spec",
  "initial_data": {
    "base_url": "value",
    "name": "value"
  }
}